Bug 144533 - REGRESSION (r183467): Unable to start downloads on macupdate.com
Summary: REGRESSION (r183467): Unable to start downloads on macupdate.com
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.10
: P1 Major
Assignee: Nobody
URL: https://www.macupdate.com/app/mac/398...
Keywords: InRadar
: 144532 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-05-02 15:41 PDT by Wade
Modified: 2015-05-06 11:28 PDT (History)
3 users (show)

See Also:


Attachments
patch (6.08 KB, patch)
2015-05-06 07:41 PDT, Antti Koivisto
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wade 2015-05-02 15:41:13 PDT
https://www.macupdate.com/app/mac/39855/soundcloud-downloader/download5/2/15 18:36:24.991 

Regular Safari performs this download without problem.

Possible relevant Console message-

secd[365]:  securityd_xpc_dictionary_handler SafariForWebKitD[27320] update The operation couldn’t be completed. (OSStatus error -34018 - client has neither application-identifier nor keychain-access-groups entitlements)
Comment 1 Wade 2015-05-02 15:41:58 PDT
5/2/15 18:36:24.993 secd[365]:  securityd_xpc_dictionary_handler SafariForWebKitD[27320] add The operation couldn’t be completed. (OSStatus error -34018 - client has neither application-identifier nor keychain-access-groups entitlements)

Possible relevant Console log.
Comment 2 Alexey Proskuryakov 2015-05-02 18:04:37 PDT
*** Bug 144532 has been marked as a duplicate of this bug. ***
Comment 3 Radar WebKit Bug Importer 2015-05-04 19:42:07 PDT
<rdar://problem/20812658>
Comment 4 Antti Koivisto 2015-05-06 07:30:49 PDT
I can repro in private browsing mode.
Comment 5 Antti Koivisto 2015-05-06 07:41:30 PDT
Created attachment 252472 [details]
patch
Comment 6 Darin Adler 2015-05-06 09:27:06 PDT
Comment on attachment 252472 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=252472&action=review

> Source/WebCore/platform/network/cf/ResourceRequestCFNet.cpp:334
> +    ResourceLoadPriority oldPriority = priority();
> +    RefPtr<FormData> oldHTTPBody = httpBody();
> +    bool isHiddenFromInspector = hiddenFromInspector();
> +    auto oldRequester = requester();

What makes these the only 4 we need to preserve? I think there should be a comment here explaining the theory of which properties should be listed here.
Comment 7 Antti Koivisto 2015-05-06 10:33:25 PDT
https://trac.webkit.org/r183875
Comment 8 Alexey Proskuryakov 2015-05-06 11:15:54 PDT
This reproduced in regular mode, not in private browsing. Are you sure that you fixed the right bug?
Comment 9 Alexey Proskuryakov 2015-05-06 11:17:42 PDT
From the nature of the fix, it may have depended on Do Not Track settings in Safari, so it may be the right fix. But please test carefully once a nightly comes out.
Comment 10 Antti Koivisto 2015-05-06 11:28:13 PDT
Any client feature that mutates the request in willSendRequest would trigger this. One that I could find was private browsing.